org.eclipse.wst.jsdt.chromium.debug.core.model

## Class ValueBase.ErrorMessageValue

- java.lang.Object
- - PlatformObject
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl
    - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase
      - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithSuspendedBase
        - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluateBase
          - - org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluate
            - - org.eclipse.wst.jsdt.chromium.debug.core.model.ValueBase
              - - org.eclipse.wst.jsdt.chromium.debug.core.model.ValueBase.ErrorMessageValue

Enclosing class:
  ValueBase

    public static class ValueBase.ErrorMessageValue
    extends ValueBase

Wraps string error message as a Value. It may have optional inner variable 'exception' that wraps exception value.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.ValueBase

`ValueBase.ErrorMessageValue, ValueBase.ValueWithLazyVariables`

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`DebugElementImpl.WithConnected, DebugElementImpl.WithConnectedBase, DebugElementImpl.WithEvaluate, DebugElementImpl.WithEvaluateBase, DebugElementImpl.WithSuspended, DebugElementImpl.WithSuspendedBase`

### Constructor Summary

Constructors
Constructor and Description
`ErrorMessageValue(EvaluateContext evaluateContext, java.lang.String message, JsValue exceptionValue)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Value` `asRealValue()` Downcasts to Value or return null.
`java.lang.String` `getReferenceTypeName()`
`java.lang.String` `getValueString()`
`IVariable[]` `getVariables()`
`boolean` `hasVariables()`
`boolean` `isAllocated()`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.ValueBase

`cast`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluate

`getEvaluateContext`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithEvaluateBase

`getSuspendedState`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithSuspendedBase

`getConnectedData`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl.WithConnectedBase

`getDebugTarget`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.core.model.DebugElementImpl

`getAdapter, getLaunch, getModelIdentifier`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ErrorMessageValue

    public ErrorMessageValue(EvaluateContext evaluateContext,
                             java.lang.String message,
                             JsValue exceptionValue)

### Method Detail

#### getReferenceTypeName

    public java.lang.String getReferenceTypeName()
                                          throws DebugException

Throws:
  `DebugException`

#### getValueString

    public java.lang.String getValueString()

Specified by:
  `getValueString` in class `ValueBase`

#### isAllocated

    public boolean isAllocated()
                        throws DebugException

Throws:
  `DebugException`

#### getVariables

    public IVariable[] getVariables()
                             throws DebugException

Throws:
  `DebugException`

#### hasVariables

    public boolean hasVariables()
                         throws DebugException

Throws:
  `DebugException`

#### asRealValue

    public Value asRealValue()

Description copied from class: `ValueBase`
Downcasts to Value or return null.

Specified by:
  `asRealValue` in class `ValueBase`